require "ZomboLewd/ZomboLewdConfig"
ZomboLewdConfig = ZomboLewdConfig or {
	keyBind   = nil,
	checkBox  = nil,
	textEntry = nil,
	multiBox  = nil,
	comboBox  = nil,
	colorPick = nil,
	slider    = nil,
	button    = nil    
}

local function ZomboLewdModOptions() 
	local options = PZAPI.ModOptions:create("ZomboLewdFramework", "Project ZomboLewd Options")
	options:addSeparator()
	options:addTitle("IGUI_Zl_Main_Part")
	--options:addDescription(getText("Project ZomboLewd Options"))
    ZomboLewdConfig.checkBox = options:addTickBox("box_Survivor_Sex", getText("IGUI_Ask_Survivor_Sex"), true, getText("IGUI_Ask_Survivor_Sex_TT"))
    ZomboLewdConfig.checkBox = options:addTickBox("box_debug", getText("IGUI_Debug_Mode"), false, getText("IGUI_Debug_Mode_TT"))
    options:addTitle("IGUI_Zl_Sex_Part")
    ZomboLewdConfig.checkBox = options:addTickBox("box_SUndress", getText("IGUI_SUndress"), true, getText("IGUI_SUndress_TT"))
    ZomboLewdConfig.checkBox = options:addTickBox("box_SCureZ", getText("IGUI_SCure_Zombification"), true, getText("IGUI_SCure_Zombification_TT"))
    ZomboLewdConfig.checkBox = options:addTickBox("box_SFitness", getText("IGUI_Sex_fitness"), true, getText("IGUI_Sex_fitness_TT"))
	options:addSeparator()
end

ZomboLewdModOptions() 